<?php

namespace General\Controllers\CompanyAuth;


use App\Http\Controllers\Controller;
use General\Controllers\CompanyAuth\Transformers\BaiDuAdAccountTransformer;
use General\Requests\ChargeReport\BaiDuAccountQueryRequest;
use General\Requests\ChargeReport\BaiDuAccountRequest;
use General\Requests\ChargeReport\DelBaiDuAccountRequest;
use General\Services\BaseAuthConfig;
use General\Services\ChargeReport\BaiDuAccountService;

/**
 * 
 */
class BaiDuAccountController extends Controller
{

    use BaseAuthConfig;

    private $service;

    public function __construct()
    {
        $this->service = new BaiDuAccountService;
    }

    public function addBaiDuAdAccount(BaiDuAccountRequest $request)
    {
        $result = $this->service->addBaiduAdAccount($request->all());
        return response()->success([
            'id' => $result->id,
        ]);
    }

    public function delBaiDuAdAccount(DelBaiDuAccountRequest $request)
    {
        $this->service->delBaiduAdAccount($request->all());
        return response()->success();
    }

    public function baiDuAdAccount(BaiDuAccountQueryRequest $request)
    {
        $result = $this->service->findBaiduAdAccounts($request->get('phone'));
        return response()->success(collectionTransform(new BaiDuAdAccountTransformer, $result));
    }
}
