<?php

namespace General\Requests\CompanyAuth;

use General\Requests\Request;
use General\Services\BaseAuthConfig;
use Illuminate\Validation\Rule;

class ChannelQueryRequest extends Request
{
    use BaseAuthConfig;
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'channel_id' => ['required', 'integer', Rule::in($this->channel_ids)],
            'start_time' => 'date',
            'end_time' => 'required_with:start_time|date|after_or_equal:start_time',
            'begin_date' => 'date',
            'end_date' => 'required_with:begin_date|date|after_or_equal:begin_date',
            'uid' => 'string',
            'status' => 'in:PAID,UNPAID'
        ];
    }

    public function messages()
    {
        return array_merge(parent::messages(),  [
            'channel_id.in' => '站点未授权！'
        ]);
    }
}
